import request from '@/utils/request'

// 查询成员列表
export function listPojpsn(query) {
  return request({
    url: '/mk/bo/pojpsn/list',
    method: 'get',
    params: query
  })
}

// 查询成员详细
export function getPojpsn(pojpsnId) {
  return request({
    url: '/mk/bo/pojpsn/' + pojpsnId,
    method: 'get'
  })
}

// 新增成员
export function addPojpsn(data) {
  return request({
    url: '/mk/bo/pojpsn',
    method: 'post',
    data: data
  })
}

// 修改成员
export function updatePojpsn(data) {
  return request({
    url: '/mk/bo/pojpsn',
    method: 'put',
    data: data
  })
}

// 删除成员
export function delPojpsn(pojpsnId) {
  return request({
    url: '/mk/bo/pojpsn/' + pojpsnId,
    method: 'delete'
  })
}
